# -*- coding: utf-8 -*-
"""
    demeter database
    name:code.py 代码提交表
"""
from .__load__ import *

class Code(Model):
	__table__ = 'code'
	__comment__ = '代码提交表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	file = Fields(type='text', comment='文件列表')
	project_id = Fields(type='int(11)', comment='项目id')
	desc = Fields(type='varchar(500)', comment='描述')
	status = Fields(type='int(11)', default='1', comment='1提交2审核通过3审核失败')
	admin = Fields(type='int(11)', comment='提交人')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')