# -*- coding: utf-8 -*-
"""
    demeter database
    name:node.py 节点表
"""
from .__load__ import *

class Node(Model):
	__table__ = 'node'
	__comment__ = '节点表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	name = Fields(type='varchar(60)', comment='节点名')
	domain_id = Fields(type='int', comment='域id')
	ip = Fields(type='varchar(32)', comment='ip地址')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')