# -*- coding: utf-8 -*-
"""
    demeter database
    name:project.py 项目表
"""
from .__load__ import *

class Project(Model):
	__table__ = 'project'
	__comment__ = '项目表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	name = Fields(type='varchar(60)', comment='项目名')
	node_id = Fields(type='varchar(500)', comment='节点id')
	git = Fields(type='varchar(500)', comment='git版本库地址')
	key = Fields(type='varchar(32)', comment='项目英文名')
	write = Fields(type='text', comment='可写目录')
	config = Fields(type='text', comment='配置目录')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')