# -*- coding: utf-8 -*-
"""
    demeter database
    name:process.py 进程表
"""
from .__load__ import *

class Process(Model):
	__table__ = 'process'
	__comment__ = '进程表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='ID')
	container_id = Fields(type='int', comment='容器id')
	node_id = Fields(type='int', comment='节点id')
	name = Fields(type='varchar(60)', comment='进程名称')
	desc = Fields(type='varchar(500)', comment='进程描述')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')